# TuxGuitar Drumsheets

Application to clean drumset tracks in [TuxGuitar](https://sourceforge.net/p/tuxguitar/) files.

## Requirements

To build and run this application you need the following applications

* Java
* Gradle
* TuxGuitar

## Building

To build the application with gradle, run the `build` task:

    $ gradle build

To build the JavaDocs, run the `javaDoc` task:

    $ gradle javaDoc

## Running

To run the application with gradle, run the `run` task including argument via the `--args` parameter:

    $ gradle run --args="sourceFile [targetFile]"

Example:

    $ gradle run --args="/home/user/Song.tg /home/user/Song-fixed.tg"
